UiPath Documentation
document-understanding
2.2510
true
Guía de la API de Document Understanding
  • Primeros pasos
    • Información general
    • Límites y cuotas
  • Ejemplos de uso de la API de Document Understanding™
  • Licencia
  • Solución de problemas
Importante :
La localización de contenidos recién publicados puede tardar entre una y dos semanas en estar disponible.

Validación de un resultado de clasificación

Ejemplo de llamadas a la API para validar un resultado de clasificación en Document Understanding para Automation Suite, utilizando el ID del proyecto recuperado del servicio de detección.

Iniciar la operación de validación de la clasificación

Consejo:

El ID del proyecto se obtiene de la respuesta recibida de la llamada Obtener Information del Proyecto.

curl -X 'POST' \
  'https://{fqdn}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/classifiers/ml-classification/validation/start?api-version=1' \
  -H 'accept: text/plain' \
  -H 'Authorization: Bearer ey***m6A' \
  -H 'Content-Type: application/json' \
  -d '{
  "documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
  "actionTitle": "Title of the action in action center",
  "actionPriority": "Low",
  "actionCatalog": "default_du_actions",
  "actionFolder": "Shared",
  "storageBucketName": "du_storage_bucket",
  "storageBucketDirectoryPath": "du_storage_bucket",
  "classificationResults": [
    {
      "documentTypeId": "invoices",
      "documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
      "confidence": 0.6170391,
      "ocrConfidence": -1,
      "reference": {
        "textStartIndex": 0,
        "textLength": 0,
        "tokens": []
      },
      "documentBounds": {
        "startPage": 0,
        "pageCount": 1,
        "textStartIndex": 0,
        "textLength": 929
      },
      "classifierName": "ML Classification (Preview)"
    }
  ]
}'
curl -X 'POST' \
  'https://{fqdn}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/classifiers/ml-classification/validation/start?api-version=1' \
  -H 'accept: text/plain' \
  -H 'Authorization: Bearer ey***m6A' \
  -H 'Content-Type: application/json' \
  -d '{
  "documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
  "actionTitle": "Title of the action in action center",
  "actionPriority": "Low",
  "actionCatalog": "default_du_actions",
  "actionFolder": "Shared",
  "storageBucketName": "du_storage_bucket",
  "storageBucketDirectoryPath": "du_storage_bucket",
  "classificationResults": [
    {
      "documentTypeId": "invoices",
      "documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
      "confidence": 0.6170391,
      "ocrConfidence": -1,
      "reference": {
        "textStartIndex": 0,
        "textLength": 0,
        "tokens": []
      },
      "documentBounds": {
        "startPage": 0,
        "pageCount": 1,
        "textStartIndex": 0,
        "textLength": 929
      },
      "classifierName": "ML Classification (Preview)"
    }
  ]
}'

Respuesta de la operación de validación de clasificación: proporciona el ID de la operación

{
  "operationId": "805f8efd-cfe8-ed11-907c-6045bd9d17d0"
}
{
  "operationId": "805f8efd-cfe8-ed11-907c-6045bd9d17d0"
}

Obtener el resultado de la validación de la clasificación

curl -X 'GET' \ 'https://{fqdn}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/classifiers/ml-classification/validation/result/805f8efd-cfe8-ed11-907c-6045bd9d17d0?api-version=1' \
-H 'accept: text/plain' \
-H 'Authorization: Bearer eyJhbGci***Km6A'
curl -X 'GET' \ 'https://{fqdn}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/classifiers/ml-classification/validation/result/805f8efd-cfe8-ed11-907c-6045bd9d17d0?api-version=1' \
-H 'accept: text/plain' \
-H 'Authorization: Bearer eyJhbGci***Km6A'

Obtener la respuesta del resultado de validación de la clasificación

La acción debe validarse manualmente mediante Action Center.

{
  "result": {
    "actionData": {
      "type": "Classification",
      "id": 54121,
      "status": "Completed",
      "title": "Title of the action in action center",
      "priority": "Low",
      "taskCatalogName": "default_du_actions",
      "taskUrl": "https://{fqdn}/95baf7a2-59c4-4438-93bb-55967f104904/cf7ae654-02bd-412b-b0cd-a2738b31a9c3/actions_/tasks/54121",
      "folderPath": "Shared",
      "folderId": 57146,
      "data": {
        "validatedClassificationResultsPath": "du_storage_bucket/805f8efd-cfe8-ed11-907c-6045bd9d17d0/output_results.zip",
        "documentRejectionDetails": null
      },
      "action": "Completed",
      "isDeleted": false,
      "assignedToUser": {
        "id": 26109,
        "emailAddress": null
      },
      "creatorUser": {
        "id": 6216,
        "emailAddress": null
      },
      "deleterUser": null,
      "lastModifierUser": {
        "id": 26109,
        "emailAddress": null
      },
      "completedByUser": {
        "id": 26109,
        "emailAddress": null
      },
      "creationTime": "2023-05-02T09:59:15.87Z",
      "lastAssignedTime": "2023-05-02T10:35:08.363Z",
      "completionTime": "2023-05-02T10:35:18.147Z"
    },
    "validatedClassificationResults": [
      {
        "documentTypeId": "invoices",
        "documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
        "confidence": 1,
        "ocrConfidence": -1,
        "reference": {
          "textStartIndex": 0,
          "textLength": 0,
          "tokens": []
        },
        "documentBounds": {
          "startPage": 0,
          "pageCount": 1,
          "textStartIndex": 0,
          "textLength": 929
        },
        "classifierName": "ML Classification (Preview)"
      }
    ],
    "actionStatus": "Completed"
  },
  "status": "Succeeded",
  "createdAt": "2023-05-02T09:59:13.826819Z",
  "lastUpdatedAt": "2023-05-02T10:35:38.8083224Z"
}
{
  "result": {
    "actionData": {
      "type": "Classification",
      "id": 54121,
      "status": "Completed",
      "title": "Title of the action in action center",
      "priority": "Low",
      "taskCatalogName": "default_du_actions",
      "taskUrl": "https://{fqdn}/95baf7a2-59c4-4438-93bb-55967f104904/cf7ae654-02bd-412b-b0cd-a2738b31a9c3/actions_/tasks/54121",
      "folderPath": "Shared",
      "folderId": 57146,
      "data": {
        "validatedClassificationResultsPath": "du_storage_bucket/805f8efd-cfe8-ed11-907c-6045bd9d17d0/output_results.zip",
        "documentRejectionDetails": null
      },
      "action": "Completed",
      "isDeleted": false,
      "assignedToUser": {
        "id": 26109,
        "emailAddress": null
      },
      "creatorUser": {
        "id": 6216,
        "emailAddress": null
      },
      "deleterUser": null,
      "lastModifierUser": {
        "id": 26109,
        "emailAddress": null
      },
      "completedByUser": {
        "id": 26109,
        "emailAddress": null
      },
      "creationTime": "2023-05-02T09:59:15.87Z",
      "lastAssignedTime": "2023-05-02T10:35:08.363Z",
      "completionTime": "2023-05-02T10:35:18.147Z"
    },
    "validatedClassificationResults": [
      {
        "documentTypeId": "invoices",
        "documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
        "confidence": 1,
        "ocrConfidence": -1,
        "reference": {
          "textStartIndex": 0,
          "textLength": 0,
          "tokens": []
        },
        "documentBounds": {
          "startPage": 0,
          "pageCount": 1,
          "textStartIndex": 0,
          "textLength": 929
        },
        "classifierName": "ML Classification (Preview)"
      }
    ],
    "actionStatus": "Completed"
  },
  "status": "Succeeded",
  "createdAt": "2023-05-02T09:59:13.826819Z",
  "lastUpdatedAt": "2023-05-02T10:35:38.8083224Z"
}

¿Te ha resultado útil esta página?

Conectar

¿Necesita ayuda? Soporte

¿Quiere aprender? UiPath Academy

¿Tiene alguna pregunta? Foro de UiPath

Manténgase actualizado